Package org.gradle.api.artifacts.repositories

# Interface ExclusiveContentRepository

public interface ExclusiveContentRepository
Describes one or more repositories which together constitute the only possible source for an artifact, independently of the others. This means that if a repository declares an include, other repositories will automatically exclude it.

Since:
  6.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExclusiveContentRepository`
  `filter(Action<? super InclusiveRepositoryContentDescriptor> config)`
  Defines the content filter for this repository
  `ExclusiveContentRepository`
  `forRepositories(ArtifactRepository... repositories)`
  Declares the repository
  `ExclusiveContentRepository`
  `forRepository(org.gradle.internal.Factory<? extends ArtifactRepository> repository)`
  Declares the repository

- ## Method Details

  - ### forRepository

    ExclusiveContentRepository forRepository(org.gradle.internal.Factory<? extends ArtifactRepository> repository)
    Declares the repository
    Parameters:
      `repository` - the repository for which we declare exclusive content
    Returns:
      this repository descriptor

  - ### forRepositories

    ExclusiveContentRepository forRepositories(ArtifactRepository... repositories)
    Declares the repository
    Parameters:
      `repositories` - the repositories for which we declare exclusive content
    Returns:
      this repository descriptor

  - ### filter

    ExclusiveContentRepository filter(Action<? super InclusiveRepositoryContentDescriptor> config)
    Defines the content filter for this repository
    Parameters:
      `config` - the configuration of the filter
    Returns:
      this repository descriptor